from django.urls import include, path

from . import views

urlpatterns = [
    path("payments/", include("payments.urls")),
    path("invoice/<int:pk>/print", views.GetInvoicePDF.as_view(), name="get_invoice_by_pk"),
    path("invoice/<str:token>/payment", views.payment_details, name="payment_details"),
    path(
        "clients/list",
        views.ClientListView.as_view(),
        name="clients",
    ),
    path(
        "clients/create",
        views.ClientCreateView.as_view(),
        name="create_client",
    ),
    path(
        "clients/<int:pk>/edit",
        views.ClientEditView.as_view(),
        name="edit_client_by_pk",
    ),
    path(
        "clients/<int:pk>/delete",
        views.ClientDeleteView.as_view(),
        name="delete_client_by_pk",
    ),
    path(
        "clients/<int:pk>/",
        views.ClientDetailView.as_view(),
        name="client_by_pk",
    ),
    path(
        "client/<int:pk>/invoice_groups/create",
        views.InvoiceGroupCreateView.as_view(),
        name="create_invoice_group",
    ),
    path(
        "invoice_groups/<int:pk>/edit",
        views.InvoiceGroupEditView.as_view(),
        name="edit_invoice_group_by_pk",
    ),
    path(
        "invoice_groups/<int:pk>/",
        views.InvoiceGroupDetailView.as_view(),
        name="invoice_group_by_pk",
    ),
    path(
        "invoice_groups/<int:pk>/delete",
        views.InvoiceGroupDeleteView.as_view(),
        name="delete_invoice_group_by_pk",
    ),
    path(
        "invoice/<int:pk>/",
        views.InvoiceDetailView.as_view(),
        name="invoice_by_pk",
    ),
]
